This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 168987 - yum cannot revert to last stable state
yum cannot revert to last stable state
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 16:40 EDT by Gerard Fernandes
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:07:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerard Fernandes 2005-09-21 16:40:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
yum cannot revert to the last stable system state. this can be very useful in cases like: Bug 168752 - xorg-x11-6.8.2-37.FC4.48.1 update causes regression in video hardware support.

In these cases, it would be nice if yum had the capability to reverse the most recent applied changes and restore the last stable system state. yum has the last downloaded set of packages. presumably, yum also has the log for the last run transaction. therefore, it is conceivable that yum can be extended to have the capability to restore last stable system state by backing out the most frequent change applied.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
None

Additional info:
Comment 1 Jeremy Katz 2006-04-19 16:07:43 EDT
yum isn't going to get into downgrading things as the dep chain result could end
up having you revert critical security fixes.

Note You need to log in before you can comment on or make changes to this bug.